package com.tzld.piaoquan.longarticle;

import com.ctrip.framework.apollo.spring.annotation.EnableApolloConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.net.Authenticator;
import java.net.PasswordAuthentication;

import static com.tzld.piaoquan.longarticle.common.constants.ProxyConstant.PASSWORD;
import static com.tzld.piaoquan.longarticle.common.constants.ProxyConstant.USERNAME;

@EnableApolloConfig
@SpringBootApplication
public class LongArticleServerApplication {

    public static void main(String[] args) {
        System.setProperty("jdk.http.auth.tunneling.disabledSchemes", "");
        Authenticator.setDefault(
                new Authenticator() {
                    public PasswordAuthentication getPasswordAuthentication() {
                        return new PasswordAuthentication(
                                USERNAME, PASSWORD.toCharArray());
                    }
                }
        );

        SpringApplication.run(LongArticleServerApplication.class, args);
    }
}
