package com.tzld.piaoquan.longarticle.common.enums;

public enum NewMatchResultStatusEnum {
    SUCCESS(5, "匹配成功"),
    FAIL(6, "匹配失败");

    private final int statusCode;
    private final String message;

    NewMatchResultStatusEnum(int statusCode, String message) {
        this.statusCode = statusCode;
        this.message = message;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public String getMessage() {
        return message;
    }

}
