package com.tzld.piaoquan.longarticle.dao.mapper.crawler;

import com.tzld.piaoquan.longarticle.model.po.crawler.ArticleUseGroup;
import com.tzld.piaoquan.longarticle.model.po.crawler.ArticleUseGroupExample;

import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface ArticleUseGroupMapper {
    long countByExample(ArticleUseGroupExample example);

    int deleteByExample(ArticleUseGroupExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ArticleUseGroup record);

    int insertSelective(ArticleUseGroup record);

    List<ArticleUseGroup> selectByExample(ArticleUseGroupExample example);

    ArticleUseGroup selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ArticleUseGroup record, @Param("example") ArticleUseGroupExample example);

    int updateByExample(@Param("record") ArticleUseGroup record, @Param("example") ArticleUseGroupExample example);

    int updateByPrimaryKeySelective(ArticleUseGroup record);

    int updateByPrimaryKey(ArticleUseGroup record);

    Integer selectRemainingCountByGzhId(@Param("ghId") String ghId, @Param("excludeRemainingCount") Integer excludeRemainingCount);

    List<String> selectOpenIds(@Param("ghId") String ghId, @Param("count") Integer count);

    List<String> selectOpenIdsByRemainingCount(@Param("ghId") String ghId, @Param("remainingCount") Integer remainingCount);

    Integer selectFansBeforePublishCount(@Param("ghId") String ghId);

}