package com.tzld.piaoquan.longarticle.model.po.longarticle;

import com.tzld.piaoquan.longarticle.utils.page.Page;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class PiaoquanSourceVideoPoolExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    protected Page page;

    public PiaoquanSourceVideoPoolExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setPage(Page page) {
        this.page=page;
    }

    public Page getPage() {
        return page;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVideoIdIsNull() {
            addCriterion("video_id is null");
            return (Criteria) this;
        }

        public Criteria andVideoIdIsNotNull() {
            addCriterion("video_id is not null");
            return (Criteria) this;
        }

        public Criteria andVideoIdEqualTo(Integer value) {
            addCriterion("video_id =", value, "videoId");
            return (Criteria) this;
        }

        public Criteria andVideoIdNotEqualTo(Integer value) {
            addCriterion("video_id <>", value, "videoId");
            return (Criteria) this;
        }

        public Criteria andVideoIdGreaterThan(Integer value) {
            addCriterion("video_id >", value, "videoId");
            return (Criteria) this;
        }

        public Criteria andVideoIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("video_id >=", value, "videoId");
            return (Criteria) this;
        }

        public Criteria andVideoIdLessThan(Integer value) {
            addCriterion("video_id <", value, "videoId");
            return (Criteria) this;
        }

        public Criteria andVideoIdLessThanOrEqualTo(Integer value) {
            addCriterion("video_id <=", value, "videoId");
            return (Criteria) this;
        }

        public Criteria andVideoIdIn(List<Integer> values) {
            addCriterion("video_id in", values, "videoId");
            return (Criteria) this;
        }

        public Criteria andVideoIdNotIn(List<Integer> values) {
            addCriterion("video_id not in", values, "videoId");
            return (Criteria) this;
        }

        public Criteria andVideoIdBetween(Integer value1, Integer value2) {
            addCriterion("video_id between", value1, value2, "videoId");
            return (Criteria) this;
        }

        public Criteria andVideoIdNotBetween(Integer value1, Integer value2) {
            addCriterion("video_id not between", value1, value2, "videoId");
            return (Criteria) this;
        }

        public Criteria andTitleIsNull() {
            addCriterion("title is null");
            return (Criteria) this;
        }

        public Criteria andTitleIsNotNull() {
            addCriterion("title is not null");
            return (Criteria) this;
        }

        public Criteria andTitleEqualTo(String value) {
            addCriterion("title =", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotEqualTo(String value) {
            addCriterion("title <>", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThan(String value) {
            addCriterion("title >", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThanOrEqualTo(String value) {
            addCriterion("title >=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThan(String value) {
            addCriterion("title <", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThanOrEqualTo(String value) {
            addCriterion("title <=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLike(String value) {
            addCriterion("title like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotLike(String value) {
            addCriterion("title not like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleIn(List<String> values) {
            addCriterion("title in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotIn(List<String> values) {
            addCriterion("title not in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleBetween(String value1, String value2) {
            addCriterion("title between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotBetween(String value1, String value2) {
            addCriterion("title not between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andCategoryIsNull() {
            addCriterion("category is null");
            return (Criteria) this;
        }

        public Criteria andCategoryIsNotNull() {
            addCriterion("category is not null");
            return (Criteria) this;
        }

        public Criteria andCategoryEqualTo(String value) {
            addCriterion("category =", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryNotEqualTo(String value) {
            addCriterion("category <>", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryGreaterThan(String value) {
            addCriterion("category >", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryGreaterThanOrEqualTo(String value) {
            addCriterion("category >=", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryLessThan(String value) {
            addCriterion("category <", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryLessThanOrEqualTo(String value) {
            addCriterion("category <=", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryLike(String value) {
            addCriterion("category like", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryNotLike(String value) {
            addCriterion("category not like", value, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryIn(List<String> values) {
            addCriterion("category in", values, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryNotIn(List<String> values) {
            addCriterion("category not in", values, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryBetween(String value1, String value2) {
            addCriterion("category between", value1, value2, "category");
            return (Criteria) this;
        }

        public Criteria andCategoryNotBetween(String value1, String value2) {
            addCriterion("category not between", value1, value2, "category");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyIsNull() {
            addCriterion("video_recall_strategy is null");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyIsNotNull() {
            addCriterion("video_recall_strategy is not null");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyEqualTo(String value) {
            addCriterion("video_recall_strategy =", value, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyNotEqualTo(String value) {
            addCriterion("video_recall_strategy <>", value, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyGreaterThan(String value) {
            addCriterion("video_recall_strategy >", value, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyGreaterThanOrEqualTo(String value) {
            addCriterion("video_recall_strategy >=", value, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyLessThan(String value) {
            addCriterion("video_recall_strategy <", value, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyLessThanOrEqualTo(String value) {
            addCriterion("video_recall_strategy <=", value, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyLike(String value) {
            addCriterion("video_recall_strategy like", value, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyNotLike(String value) {
            addCriterion("video_recall_strategy not like", value, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyIn(List<String> values) {
            addCriterion("video_recall_strategy in", values, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyNotIn(List<String> values) {
            addCriterion("video_recall_strategy not in", values, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyBetween(String value1, String value2) {
            addCriterion("video_recall_strategy between", value1, value2, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andVideoRecallStrategyNotBetween(String value1, String value2) {
            addCriterion("video_recall_strategy not between", value1, value2, "videoRecallStrategy");
            return (Criteria) this;
        }

        public Criteria andRecallDateIsNull() {
            addCriterion("recall_date is null");
            return (Criteria) this;
        }

        public Criteria andRecallDateIsNotNull() {
            addCriterion("recall_date is not null");
            return (Criteria) this;
        }

        public Criteria andRecallDateEqualTo(Date value) {
            addCriterionForJDBCDate("recall_date =", value, "recallDate");
            return (Criteria) this;
        }

        public Criteria andRecallDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("recall_date <>", value, "recallDate");
            return (Criteria) this;
        }

        public Criteria andRecallDateGreaterThan(Date value) {
            addCriterionForJDBCDate("recall_date >", value, "recallDate");
            return (Criteria) this;
        }

        public Criteria andRecallDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("recall_date >=", value, "recallDate");
            return (Criteria) this;
        }

        public Criteria andRecallDateLessThan(Date value) {
            addCriterionForJDBCDate("recall_date <", value, "recallDate");
            return (Criteria) this;
        }

        public Criteria andRecallDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("recall_date <=", value, "recallDate");
            return (Criteria) this;
        }

        public Criteria andRecallDateIn(List<Date> values) {
            addCriterionForJDBCDate("recall_date in", values, "recallDate");
            return (Criteria) this;
        }

        public Criteria andRecallDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("recall_date not in", values, "recallDate");
            return (Criteria) this;
        }

        public Criteria andRecallDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("recall_date between", value1, value2, "recallDate");
            return (Criteria) this;
        }

        public Criteria andRecallDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("recall_date not between", value1, value2, "recallDate");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andRovnIsNull() {
            addCriterion("rovn is null");
            return (Criteria) this;
        }

        public Criteria andRovnIsNotNull() {
            addCriterion("rovn is not null");
            return (Criteria) this;
        }

        public Criteria andRovnEqualTo(Double value) {
            addCriterion("rovn =", value, "rovn");
            return (Criteria) this;
        }

        public Criteria andRovnNotEqualTo(Double value) {
            addCriterion("rovn <>", value, "rovn");
            return (Criteria) this;
        }

        public Criteria andRovnGreaterThan(Double value) {
            addCriterion("rovn >", value, "rovn");
            return (Criteria) this;
        }

        public Criteria andRovnGreaterThanOrEqualTo(Double value) {
            addCriterion("rovn >=", value, "rovn");
            return (Criteria) this;
        }

        public Criteria andRovnLessThan(Double value) {
            addCriterion("rovn <", value, "rovn");
            return (Criteria) this;
        }

        public Criteria andRovnLessThanOrEqualTo(Double value) {
            addCriterion("rovn <=", value, "rovn");
            return (Criteria) this;
        }

        public Criteria andRovnIn(List<Double> values) {
            addCriterion("rovn in", values, "rovn");
            return (Criteria) this;
        }

        public Criteria andRovnNotIn(List<Double> values) {
            addCriterion("rovn not in", values, "rovn");
            return (Criteria) this;
        }

        public Criteria andRovnBetween(Double value1, Double value2) {
            addCriterion("rovn between", value1, value2, "rovn");
            return (Criteria) this;
        }

        public Criteria andRovnNotBetween(Double value1, Double value2) {
            addCriterion("rovn not between", value1, value2, "rovn");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampIsNull() {
            addCriterion("status_update_timestamp is null");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampIsNotNull() {
            addCriterion("status_update_timestamp is not null");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampEqualTo(Long value) {
            addCriterion("status_update_timestamp =", value, "statusUpdateTimestamp");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampNotEqualTo(Long value) {
            addCriterion("status_update_timestamp <>", value, "statusUpdateTimestamp");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampGreaterThan(Long value) {
            addCriterion("status_update_timestamp >", value, "statusUpdateTimestamp");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampGreaterThanOrEqualTo(Long value) {
            addCriterion("status_update_timestamp >=", value, "statusUpdateTimestamp");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampLessThan(Long value) {
            addCriterion("status_update_timestamp <", value, "statusUpdateTimestamp");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampLessThanOrEqualTo(Long value) {
            addCriterion("status_update_timestamp <=", value, "statusUpdateTimestamp");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampIn(List<Long> values) {
            addCriterion("status_update_timestamp in", values, "statusUpdateTimestamp");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampNotIn(List<Long> values) {
            addCriterion("status_update_timestamp not in", values, "statusUpdateTimestamp");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampBetween(Long value1, Long value2) {
            addCriterion("status_update_timestamp between", value1, value2, "statusUpdateTimestamp");
            return (Criteria) this;
        }

        public Criteria andStatusUpdateTimestampNotBetween(Long value1, Long value2) {
            addCriterion("status_update_timestamp not between", value1, value2, "statusUpdateTimestamp");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}