package com.tzld.piaoquan.longarticle.model.vo;

import lombok.Data;
import lombok.ToString;

import java.util.List;

@Data
@ToString
public class SpecialSettingVO {
    //ID，更新时需要传")
    private String id;
    //计划名称")
    private String name;
    //生效账号")
    private List<SpecialSettingAccountVO> accountList;
    //生效日期 yyyy-MM-dd 格式")
    private String effectiveDate;
    //推送时间 HH:mm:ss 格式")
    private String pushTime;
    //推送方式(1-手动推送)")
    private Integer pushType;
    //推送条数")
    private Integer pushNum;
    //文章排除位置")
    private List<String> excludeArticleIndexList;
    private Integer openStatus;

}

