package com.tzld.piaoquan.longarticle.controller;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.tzld.piaoquan.longarticle.service.local.impl.MatchVideoServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.checkerframework.checker.units.qual.A;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import static com.tzld.piaoquan.longarticle.common.constants.ProxyConstant.PROXY_HOST;
import static com.tzld.piaoquan.longarticle.common.constants.ProxyConstant.PROXY_PORT;

@Slf4j
@RestController
@RequestMapping("/")
public class IndexController {


    /**
     * 探活
     *
     * @return
     */
    @GetMapping("/healthcheck")
    public String healthcheck() {
        return "ok";
    }



}
