package com.tzld.piaoquan.longarticle.service.local;

import com.tzld.piaoquan.longarticle.model.po.longarticle.Plan;
import com.tzld.piaoquan.longarticle.model.po.longarticle.PlanAccount;

import java.util.List;

public interface PlanAccountService {

    void addPlanAccount(PlanAccount planAccount);

    void updatePlanAccount(PlanAccount planAccount);

    void saveOrUpdatePlanAccount(PlanAccount planAccount);

    void saveOrUpdatePlan(Plan plan);

    List<PlanAccount> getPlanAccountByPlanId(String planId);

    List<PlanAccount> getMatchPlanAccount();

    List<PlanAccount> getSendNormalPlanAccount();

    List<PlanAccount> getNormalPlanAccount(String accountId);

    List<PlanAccount> getSpecialPlanAccount(String accountId);

    List<PlanAccount> getPlanAccount(String planId, String accountId);

    List<Plan> getPlanList();

    void delPlan(String planId);

    void delAccount(String planId, String accountId);

    void updateMatchStatus(Integer status, Long id);

    void updateStatus(Integer status, Long id);

    PlanAccount getPlanAccountById(Long id);

    void updateRetry(PlanAccount planAccount);

    List<PlanAccount> getPlanAccount(String accountId);
}
