package com.tzld.piaoquan.longarticle.service.remote;

import com.tzld.piaoquan.longarticle.model.vo.*;

import java.util.List;

public interface AigcService {

    List<LongArticleSystemPlan> getAllLongArticleSystemPlan();

    LongArticleSystemContentVO getContentItemList(GetContentsParam param);

    LongArticleSystemContentVO listWaitingMatchMiniprogramContents(GetContentsParam param);

    LongArticleSystemContentVO listWaitingSortContents(GetContentsParam param);

    String createPushTask(CreatePushTaskParam param);

    String createBatchGroupPushTask(CreateBatchGroupPushTaskParam param);


    boolean updateMatchMiniprogramStatus(MatchMiniprogramStatusParam param);

    boolean filterSortContents(FilterSortParam param);

    PushStatusVO queryPushStatus(PushStatusParam param);

    String pushCover(String coverUrl, String publishContentId);

    List<PushRecordVO> getTodayPushRecords(PushRecordParam param);

    List<SpecialSettingVO> getSpecialSetting();

    List<MatchContentItem> getMatchContentItemList();

    LongArticleMatchContent listWaitingMatchContents(MatchContentsParam param);

    boolean updateMatchContentStatus(MatchContentStatusParam param);
}
